# Javascript Node CircleCI 2.0 configuration file
#
# Check https://circleci.com/docs/2.0/language-javascript/ for more details
#
version: 2
jobs:
  build:
    docker:
      # specify the version you desire here
      - image: circleci/node:8.10
      
      # Specify service dependencies here if necessary
      # CircleCI maintains a library of pre-built images
      # documented at https://circleci.com/docs/2.0/circleci-images/
      # - image: circleci/mongo:3.4.4

    working_directory: ~/guide

    steps:
      - checkout

      # Download and cache dependencies
      - restore_cache:
          name: Restore node modules cache
          keys:
            - node_modules-{{ checksum "package-lock.json" }}

      - run:
          name: Install Dependencies
          command: npm install

      - save_cache:
          name: Save node modules Cache
          key: node_modules-{{ checksum "package-lock.json" }}
          paths:
            - node_modules
        
      # run tests!
      - run: npm run lint
